## fwknop-gui 1.3+dfsg

=== CMakeLists.txt ===
include(FeatureSummary)
cmake_minimum_required(VERSION 2.8)
project(fwknop-gui CXX C)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
if(NOT(DEFINED IS_WIN32 OR DEFINED IS_LINUX OR DEFINED IS_APPLE))
  if(WIN32)
    set(IS_WIN32 TRUE)
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set(IS_APPLE TRUE)
    set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR})
  else()
    set(IS_LINUX TRUE)
  endif()
endif()

if (IS_WIN32)
  set( wxWidgets_USE_STATIC ON)
  set(CODE_FILES win32/minimal.rc)
endif()

find_package(wxWidgets 3.0.0 COMPONENTS xml html adv qa richtext net core base REQUIRED)

include(${wxWidgets_USE_FILE})
include_directories(${CMAKE_SOURCE_DIR})

find_package(LibFko REQUIRED)
find_package(CURL REQUIRED)
find_package(LibQrencode REQUIRED)
find_package(Gpgme REQUIRED)

set(CODE_FILES
  ${CODE_FILES}
  configs.cpp
  fwknop_guiApp.cpp
  fwknop_guiMain.cpp
  wizard.cpp
  general_config.cpp
  rc_import.cpp
  rc_export.cpp
  qr_export.cpp
  timer.cpp
  gpgme_wrapper.cpp
  )

if(IS_APPLE)

  set_source_files_properties(MacOS/fwknop-gui.icns PROPERTIES
       MACOSX_PACKAGE_LOCATION "Resources")
  set(CODE_FILES
  ${CODE_FILES}
  MacOS/fwknop-gui.icns
  )
endif()
add_executable(fwknop-gui WIN32 MACOSX_BUNDLE
  ${CODE_FILES}
  )
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

SET_TARGET_PROPERTIES(fwknop-gui PROPERTIES POSITION_INDEPENDENT_CODE ON)

target_link_libraries(fwknop-gui ${wxWidgets_LIBRARIES} ${LIBFKO_LIBRARIES} ${CURL_LIBRARIES} ${LIBQRENCODE_LIBRARIES} ${GPGME_VANILLA_LIBRARIES})
if(IS_LINUX)
find_program(A2X_EXECUTABLE NAMES a2x a2x.py)
set(A2X_OPTS
  -D ${CMAKE_BINARY_DIR}
  -d manpage
  -f manpage
  )

set(MAN_NAMES fwknop-gui.8)
set(MAN_FILES)
foreach(m IN LISTS MAN_NAMES)
  set(mf ${CMAKE_BINARY_DIR}/${m})
  set(ms ${CMAKE_SOURCE_DIR}/${m}.asciidoc)
  add_custom_command(OUTPUT ${mf}
    COMMAND ${A2X_EXECUTABLE} ${A2X_OPTS} ${ms}
    DEPENDS ${ms}
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Building manpage ${mf}"
    VERBATIM)
  list(APPEND MAN_FILES ${mf})
endforeach()

add_custom_target(man ALL DEPENDS ${MAN_FILES})

  install(FILES help.html DESTINATION share/fwknop-gui)
  install(TARGETS fwknop-gui DESTINATION bin)
  install(PROGRAMS fwknop-gui.desktop DESTINATION share/applications)
  install(FILES fwknop-gui.png DESTINATION share/pixmaps)
  INSTALL(FILES fwknop-gui.8 DESTINATION share/man/man8)
endif()
if(IS_WIN32)
  include_directories( ${LIBQRENCODE_INCLUDE_DIR} )
  target_link_libraries(fwknop-gui wsock32 ws2_32 ${wxWidgets_LIBRARIES} ${LIBFKO_LIBRARIES} ${CURL_LIBRARIES} ${GPGME_VANILLA_LIBRARIES})
  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
  include_directories(${LIBQRENCODE_INCLUDE_DIR})
endif()
if(IS_APPLE)
    set(MACOSX_BUNDLE_BUNDLE_NAME fwknop-gui)
    set(MACOSX_BUNDLE_ICON_FILE fwknop-gui.icns)
    set_property(TARGET fwknop-gui PROPERTY MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/MacOS/MacOSXBundleInfo.plist.in")
    INSTALL(CODE "
    set(BU_CHMOD_BUNDLE_ITEMS ON)
    include(BundleUtilities)
    file(MAKE_DIRECTORY ${CMAKE_INSTALL_PREFIX}/fwknop-gui.app/Contents/SharedSupport)
    file(INSTALL ${CMAKE_SOURCE_DIR}/help.html DESTINATION ${CMAKE_INSTALL_PREFIX}/fwknop-gui.app/Contents/SharedSupport/)
    fixup_bundle(${CMAKE_INSTALL_PREFIX}/fwknop-gui.app \"\" \"\")
")
endif()

## fwknop-gui 1.3%2Bdfsg

=== debian/control ===
Source: fwknop-gui
Section: net
Priority: optional
Maintainer: Franck Joncourt <franck.joncourt@gmail.com>
Build-Depends: debhelper (>= 9), cmake, libqrencode-dev, libfko3-dev, 
 libwxgtk3.0-dev, texinfo, libcurl4-openssl-dev, libgpgme11-dev, asciidoc, 
 libxml2-utils, docbook-xml, xsltproc, docbook-xsl
Standards-Version: 3.9.8
Homepage: https://incomsystems.biz/fwknop-gui

Package: fwknop-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FireWall KNock OPerator Graphical User Interface
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 Fwknop GUI is a graphical user interface integrated with an Fwknop
 client that provides the ability to send SPA packets to a remote
 Fwknop server, as well as a front-end for creating and managing
 client configurations for multiple Fwknop servers.
 .
 It supports exporting saved configuration data to a QR code format
 readable by the Android client, as well as to the .fwknoprc format
 readable by the command line client.

## fwknop-gui 1.3+dfsg

=== debian/changelog ===
fwknop-gui (1.3+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:52:03 +0000

fwknop-gui (1.3+dfsg-1) unstable; urgency=medium

  * First Debian release.
    - Closes: #836688 - ITP: fwknop-gui -- Fwknop graphical user interface

 -- Franck Joncourt <franck.joncourt@gmail.com>  Sat, 10 Sep 2016 18:51:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fwknop-gui
 Section: net
 Priority: optional
-Maintainer: Franck Joncourt <franck.joncourt@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Franck Joncourt <franck.joncourt@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, libqrencode-dev, libfko3-dev, 
  libwxgtk3.0-dev, texinfo, libcurl4-openssl-dev, libgpgme11-dev, asciidoc, 
  libxml2-utils, docbook-xml, xsltproc, docbook-xsl

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
  https://github.com/jp-bennett/fwknop-gui/tags .*/v?(\d\S*)-release\.tar\.gz
